Bug 1418975 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000968 [xfs] [NEEDINFO]
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b6b6957f2a4d73c64713f189ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 10:26 UTC by Patrick C. F. Ernzer
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:15:54 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (83.66 KB, text/plain)
2017-02-03 10:26 UTC, Patrick C. F. Ernzer
no flags Details

Description Patrick C. F. Ernzer 2017-02-03 10:26:08 UTC
Additional info:
reporter:       libreport-2.8.0
BUG: unable to handle kernel NULL pointer dereference at 0000000000000968
IP: [<ffffffffc0569418>] xfs_fs_destroy_inode+0x48/0x1e0 [xfs]
PGD 0 
Oops: 0000 [#1] SMP
Modules linked in: dm_crypt vfat fat rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache rfcomm fuse tun ip_set nfnetlink bridge stp llc cmac bnep dm_cache_smq dm_cache dm_persistent_data dm_bio_prison intel_powerclamp kvm_intel kvm raid456 async_raid6_recov async_memcpy async_pq async_xor irqbypass iTCO_wdt iTCO_vendor_support gpio_ich ppdev btusb btrtl btbcm btintel intel_cstate xor async_tx bluetooth snd_usb_audio rfkill snd_usbmidi_lib snd_rawmidi snd_hda_codec_hdmi intel_uncore usblp raid6_pq raid1 joydev snd_hda_codec_realtek snd_hda_codec_generic i7core_edac i2c_i801 i2c_smbus snd_hda_intel edac_core snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore lpc_ich parport_pc parport acpi_cpufreq shpchp tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl
 lockd grace sunrpc xfs libcrc32c hid_plantronics ata_generic pata_acpi hid_logitech_hidpp nouveau video mxm_wmi wmi i2c_algo_bit drm_kms_helper e1000e crc32c_intel ttm serio_raw drm ptp uas r8169 pata_it8213 pps_core mii usb_storage hid_logitech_dj fjes [last unloaded: ip6_tables]
CPU: 1 PID: 9414 Comm: umount Not tainted 4.9.5-200.fc25.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. P55A-UD3/P55A-UD3, BIOS F11 08/10/2010
task: ffff9ce09647ba80 task.stack: ffffad6e4141c000
RIP: 0010:[<ffffffffc0569418>]  [<ffffffffc0569418>] xfs_fs_destroy_inode+0x48/0x1e0 [xfs]
RSP: 0018:ffffad6e4141fd30  EFLAGS: 00010202
RAX: 0000000000000000 RBX: ffff9cdea028e180 RCX: 0000000000000001
RDX: 0000308d90001000 RSI: ffff9cdea028e208 RDI: ffff9cdea028e180
RBP: ffffad6e4141fd48 R08: 0000000000000000 R09: 0000000000000246
R10: 0000000000000000 R11: 0000000000000228 R12: ffff9cdea028e180
R13: ffff9cdea028e000 R14: ffff9ce0a10e2ce8 R15: ffff9cdff1fad580
FS:  00007f2a6c632340(0000) GS:ffff9ce0afc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000968 CR3: 00000002200bf000 CR4: 00000000000006e0
Stack:
 ffff9cdea028e180 ffff9cdea028e2a0 ffffffffc0590bc0 ffffad6e4141fd60
 ffffffffa927654b ffff9cdea028e180 ffffad6e4141fd88 ffffffffa927668c
 ffff9cdea028e290 ffffad6e4141fdd8 ffff9cdea028e180 ffffad6e4141fdb0
Call Trace:
 [<ffffffffa927654b>] destroy_inode+0x3b/0x60
 [<ffffffffa927668c>] evict+0x11c/0x180
 [<ffffffffa927672b>] dispose_list+0x3b/0x60
 [<ffffffffa92775e4>] evict_inodes+0x154/0x180
 [<ffffffffa925beb4>] generic_shutdown_super+0x44/0xf0
 [<ffffffffa925c247>] kill_block_super+0x27/0x70
 [<ffffffffa925c5e3>] deactivate_locked_super+0x43/0x70
 [<ffffffffa925c66a>] deactivate_super+0x5a/0x60
 [<ffffffffa927b53f>] cleanup_mnt+0x3f/0x90
 [<ffffffffa927b5d2>] __cleanup_mnt+0x12/0x20
 [<ffffffffa90c0b10>] task_work_run+0x80/0xa0
 [<ffffffffa90032ba>] exit_to_usermode_loop+0xaa/0xb0
 [<ffffffffa9003baa>] syscall_return_slowpath+0xaa/0xb0
 [<ffffffffa981cd04>] entry_SYSCALL_64_fastpath+0xa7/0xa9
Code: 65 8b 0d 34 0d aa 3f 48 63 c9 48 8b 15 02 44 06 00 48 89 d0 48 03 04 cd c0 b3 ce a9 83 80 fc 00 00 00 01 49 8b 84 24 80 fe ff ff <48> 8b 80 68 09 00 00 48 03 04 cd c0 b3 ce a9 83 80 fc 00 00 00 
RIP  [<ffffffffc0569418>] xfs_fs_destroy_inode+0x48/0x1e0 [xfs]
 RSP <ffffad6e4141fd30>
CR2: 0000000000000968

Comment 1 Patrick C. F. Ernzer 2017-02-03 10:26:20 UTC
Created attachment 1247396 [details]
File: dmesg

Comment 2 Justin M. Forbes 2017-04-11 14:54:48 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2017-04-28 17:15:54 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.